Package twisted :: Package python :: Module formmethod :: Class Choice |
[frames | no frames]

## Class Choice

    Argument --+
               |
              Choice

Known Subclasses:
  `RadioGroup`, `Submit`

The result of a choice between enumerated types. The choices should be a list of tuples of tag, value, and description. The tag will be the value returned if the user hits "Submit", and the description is the bale for the enumerated type. default is a list of all the values (seconds element in choices). If no defaults are specified, initially the first item will be selected. Only one item can (should) be selected at once.

Method Summary
| `__init__(self, name, choices, default, shortDesc, longDesc, hints, allowNone)`
| `coerce(self, inIdent)`
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from Argument
`NoneType` | `defaultDefault` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:52 2003 | http://epydoc.sf.net